Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08445 Misc. Major Always Oct 18, 2022, 19:29 Oct 27, 2022, 16:56
Tester Firewave View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver
Version 0.248 Fixed in Version 0.250 Build 64-bit
Fixed in Git Commit 0fd434c Github Pull Request #
Summary 08445: famicom: Sets with "lz93d50_ep1" slot do not start (grey screen)
Description The sets do not start and only show a grey screen.
Steps To Reproduce
Additional Information This affects the followings sets:
dbz
mtaruru
mtarurua
mtaruru2
kgundam
kgundamadbz
Github Commit
Flags
Regression Version
Affected Sets / Systems famicom
Attached Files
 
Relationships
has duplicate 08442Closed  famicom [dbz]: Does not start (grey screen) 
Notes
3
User avatar
No.20634
Foxhack
Tester
Oct 20, 2022, 02:23
edited on: Oct 20, 2022, 02:24
All of these games appear to be Mapper 159 according to NESCartDB, and they all use serial EEPROM to save data. nes/bandai.cpp says that this is not hooked up, so presumably these games refuse to boot because they can't access the data. These should probably be flagged as "not supported" due to this missing functionality.

There are shots of these games at ADB, so these may have actually booted at some point; considering the site uses ancient shots, though, who knows when that happened...
User avatar
No.20635
kmg
Tester
Oct 20, 2022, 03:48
There is i2cmem code in bandai.cpp, so the comment just means it never worked. I assumed these were working but lacking save support. In fact showing a grey screen is a more recent regression for most of these. In 0.231 they all loaded except mtaruru and its clone.

There have been a few i2cmem changes in the last year. Those would be the likely place to start looking for a regression version, but ultimately the save support needs fixing at some point.
User avatar
No.20668
Tafoid
Administrator
Oct 26, 2022, 22:41
edited on: Oct 26, 2022, 22:42
https://github.com/mamedev/mame/pull/9630
https://github.com/mamedev/mame/commit/4cb71c31d2b49c6cb20ebe23d3d119503a3cae7a
April 27, 2022
This appears to be the offending commit based on the daily builds I have tested.